// element - DOMHTMLElement that triggered this function being called
// event - event that triggered this function being called
function contactFormSendMail(hypeDocument, element, event) {
	
	var url = "contact.php";
	name = hypeDocument.getElementById('name').innerText;
	email = hypeDocument.getElementById('email').innerText;
	message = hypeDocument.getElementById('message').innerText;
	vars = "name=" + name + "&email=" + email + "&message=" + message;
	
	function validateEmail(email) {
		atpos = email.indexOf("@");
		dotpos = email.lastIndexOf(".");
		if (atpos<1 || dotpos<atpos+2 || dotpos+2>=email.length) {
       		return false;
    	} else {
    		return true;
    	}
	}
	
	if (name.length < 2 || name == "<br>") {
		hypeDocument.getElementById('name-status').innerHTML = "Required––▶︎";
		hypeDocument.getElementById('message-status').innerHTML = "";
		return;
	}
	
	if (email.length < 1 || email == "<br>" || validateEmail(email) == false) {
		hypeDocument.getElementById('email-status').innerHTML = "Invalid Address––▶︎";
		hypeDocument.getElementById('message-status').innerHTML = "";
		return;
	}
	
	if (message.length < 1 || message == "<br>") {
		hypeDocument.getElementById('message-status').innerHTML = "Required––▶︎";
		hypeDocument.getElementById('phone-status').innerHTML = "";
		hypeDocument.getElementById('email-status').innerHTML = "";
		return;
	}
	
	else {

		hypeDocument.getElementById('name-status').innerHTML = "";
		hypeDocument.getElementById('message-status').innerHTML = "";
		hypeDocument.getElementById('email-status').innerHTML = "";
		
		var req = new XMLHttpRequest();
	
		req.open("POST", url, true);
		
		req.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
	
		req.onreadystatechange = function() {
		    if(req.readyState == 4 && req.status == 200) {
			    var return_data = req.responseText;
				document.getElementById("status").innerHTML = return_data;
		    }
	    }
    
    	req.send(vars);
    	document.getElementById("status").innerHTML = "Sending message...";
    }
    
}
